//+------------------------------------------------------------------+
//|                                                  CTestDialog.mqh |
//|                                           Copyright 2015, denkir |
//|                           https://login.mql5.com/ru/users/denkir |
//+------------------------------------------------------------------+
#property copyright "Copyright 2015, denkir"
#property link      "https://login.mql5.com/ru/users/denkir"
#property strict

#define USER_AUX_FONT_COLOR C'169,169,169' 
////--- indents and gaps
#define INDENT_LEFT (10) //      
#define INDENT_RIGHT (10)//      
#define Y_STEP_SIZE (30) //     Y (  )

//+------------------------------------------------------------------+
//| Include                                                          |
//+------------------------------------------------------------------+
#include <Controls\Dialog.mqh>
#include<Controls\Label.mqh>
//+------------------------------------------------------------------+
//| Class CTestDialog                                          |
//+------------------------------------------------------------------+
class CTestDialog : public CAppDialog
  {
   //--- === Data members === --- 
private:
   //---  
   CLabel            m_arrow_left_label;
   CLabel            m_arrow_right_label;
   //--- 

   //--- === Methods === ---                                                              
public:
   void              CTestDialog(void);
   void             ~CTestDialog(void);
   //--- create
   virtual bool      Create(const long chart,const string name,const int subwin,
                            const int x1,const int y1,const int x2,const int y2);
   //--- chart event handler
   virtual bool      OnEvent(const int id,const long &lparam,const double &dparam,
                             const string &sparam);

protected:
   //---    
   bool              CreateArrows(void);             // 
  };
//+------------------------------------------------------------------+
//| Event Handling                                                   |
//+------------------------------------------------------------------+
EVENT_MAP_BEGIN(CTestDialog)
//ON_EVENT(ON_CHANGE,m_symbol_combo_box,OnChangeSymbolComboBox) // 
EVENT_MAP_END(CAppDialog)

//+------------------------------------------------------------------+
//|                                                       |
//+------------------------------------------------------------------+
CTestDialog::CTestDialog(void)
  {
  }
//+------------------------------------------------------------------+
//|                                                        |
//+------------------------------------------------------------------+
CTestDialog::~CTestDialog(void)
  {
  }
//---================================ ================================---

//+------------------------------------------------------------------+
//|                                                          |
//+------------------------------------------------------------------+
bool CTestDialog::Create(const long chart,const string name,const int subwin,const int x1,const int y1,const int x2,const int y2)
  {
//---   
   if(CAppDialog::Create(chart,name,subwin,x1,y1,x2,y2))
      //---    

      if(this.CreateArrows()) 
         //--- 
         return true;
         
//--- 
   return false;
  }
//+------------------------------------------------------------------+
//|                                                 |
//+------------------------------------------------------------------+
bool CTestDialog::CreateArrows(void)
  {
//--- 
   int x1,y1;
   int  client_area_width=ClientAreaWidth();

//--- 1)  
   x1=INDENT_LEFT;
   y1=Y_STEP_SIZE;
   this.m_arrow_left_label.Create(m_chart_id,"11Arrow_left_label",m_subwin,x1,y1,0,0);
   this.m_arrow_left_label.Font("Wingdings 3");
   this.m_arrow_left_label.FontSize(24);
   this.m_arrow_left_label.Color(USER_AUX_FONT_COLOR);
   this.m_arrow_left_label.Text("3");
//---   
   if(!this.Add(m_arrow_left_label))
      return false;
   this.m_arrow_left_label.ZOrder(1);

//--- 2)  
   x1=client_area_width-4*INDENT_RIGHT;
   this.m_arrow_right_label.Create(m_chart_id,"11Arrow_right_label",m_subwin,x1,y1,0,0);
   this.m_arrow_right_label.Font("Wingdings 3");
   this.m_arrow_right_label.FontSize(24);
   this.m_arrow_right_label.Color(USER_AUX_FONT_COLOR);
   this.m_arrow_right_label.Text("4");
//---   
   if(!this.Add(m_arrow_right_label))
      return false;
   this.m_arrow_right_label.ZOrder(1);
//---
   return true;
  }
